Index: /XIOS/trunk/src/interface/fortran_attr/icalendar_wrapper_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/icalendar_wrapper_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/icalendar_wrapper_attr.F90	(revision 1537)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_calendar_wrapper_attr)  &
-    ( calendar_wrapper_id, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+    ( calendar_wrapper_id, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
     , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -18,4 +18,5 @@
       TYPE(txios(calendar_wrapper))  :: calendar_wrapper_hdl
       CHARACTER(LEN=*), INTENT(IN) ::calendar_wrapper_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: day_length
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: leap_year_drift
@@ -32,5 +33,5 @@
       (calendar_wrapper_id,calendar_wrapper_hdl)
       CALL xios(set_calendar_wrapper_attr_hdl_)   &
-      ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+      ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
       , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -38,9 +39,10 @@
 
   SUBROUTINE xios(set_calendar_wrapper_attr_hdl)  &
-    ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
-    , month_lengths, start_date, time_origin, timestep, type, year_length )
-
-    IMPLICIT NONE
-      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+    ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+    , month_lengths, start_date, time_origin, timestep, type, year_length )
+
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: day_length
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: leap_year_drift
@@ -55,5 +57,5 @@
 
       CALL xios(set_calendar_wrapper_attr_hdl_)  &
-      ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+      ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
       , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -61,9 +63,10 @@
 
   SUBROUTINE xios(set_calendar_wrapper_attr_hdl_)   &
-    ( calendar_wrapper_hdl, day_length_, leap_year_drift_, leap_year_drift_offset_, leap_year_month_  &
+    ( calendar_wrapper_hdl, comment_, day_length_, leap_year_drift_, leap_year_drift_offset_, leap_year_month_  &
     , month_lengths_, start_date_, time_origin_, timestep_, type_, year_length_ )
 
     IMPLICIT NONE
       TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: day_length_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: leap_year_drift_
@@ -77,4 +80,9 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: year_length_
 
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_set_calendar_wrapper_comment &
+      (calendar_wrapper_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(day_length_)) THEN
         CALL cxios_set_calendar_wrapper_day_length &
@@ -130,5 +138,5 @@
 
   SUBROUTINE xios(get_calendar_wrapper_attr)  &
-    ( calendar_wrapper_id, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+    ( calendar_wrapper_id, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
     , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -136,4 +144,5 @@
       TYPE(txios(calendar_wrapper))  :: calendar_wrapper_hdl
       CHARACTER(LEN=*), INTENT(IN) ::calendar_wrapper_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: day_length
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: leap_year_drift
@@ -150,5 +159,5 @@
       (calendar_wrapper_id,calendar_wrapper_hdl)
       CALL xios(get_calendar_wrapper_attr_hdl_)   &
-      ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+      ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
       , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -156,9 +165,10 @@
 
   SUBROUTINE xios(get_calendar_wrapper_attr_hdl)  &
-    ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
-    , month_lengths, start_date, time_origin, timestep, type, year_length )
-
-    IMPLICIT NONE
-      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+    ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+    , month_lengths, start_date, time_origin, timestep, type, year_length )
+
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: day_length
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: leap_year_drift
@@ -173,5 +183,5 @@
 
       CALL xios(get_calendar_wrapper_attr_hdl_)  &
-      ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+      ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
       , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -179,9 +189,10 @@
 
   SUBROUTINE xios(get_calendar_wrapper_attr_hdl_)   &
-    ( calendar_wrapper_hdl, day_length_, leap_year_drift_, leap_year_drift_offset_, leap_year_month_  &
+    ( calendar_wrapper_hdl, comment_, day_length_, leap_year_drift_, leap_year_drift_offset_, leap_year_month_  &
     , month_lengths_, start_date_, time_origin_, timestep_, type_, year_length_ )
 
     IMPLICIT NONE
       TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: day_length_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: leap_year_drift_
@@ -195,4 +206,9 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: year_length_
 
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_get_calendar_wrapper_comment &
+      (calendar_wrapper_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(day_length_)) THEN
         CALL cxios_get_calendar_wrapper_day_length &
@@ -248,5 +264,5 @@
 
   SUBROUTINE xios(is_defined_calendar_wrapper_attr)  &
-    ( calendar_wrapper_id, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+    ( calendar_wrapper_id, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
     , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -254,4 +270,6 @@
       TYPE(txios(calendar_wrapper))  :: calendar_wrapper_hdl
       CHARACTER(LEN=*), INTENT(IN) ::calendar_wrapper_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: day_length
       LOGICAL(KIND=C_BOOL) :: day_length_tmp
@@ -278,5 +296,5 @@
       (calendar_wrapper_id,calendar_wrapper_hdl)
       CALL xios(is_defined_calendar_wrapper_attr_hdl_)   &
-      ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+      ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
       , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -284,9 +302,11 @@
 
   SUBROUTINE xios(is_defined_calendar_wrapper_attr_hdl)  &
-    ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
-    , month_lengths, start_date, time_origin, timestep, type, year_length )
-
-    IMPLICIT NONE
-      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+    ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+    , month_lengths, start_date, time_origin, timestep, type, year_length )
+
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: day_length
       LOGICAL(KIND=C_BOOL) :: day_length_tmp
@@ -311,5 +331,5 @@
 
       CALL xios(is_defined_calendar_wrapper_attr_hdl_)  &
-      ( calendar_wrapper_hdl, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
+      ( calendar_wrapper_hdl, comment, day_length, leap_year_drift, leap_year_drift_offset, leap_year_month  &
       , month_lengths, start_date, time_origin, timestep, type, year_length )
 
@@ -317,9 +337,11 @@
 
   SUBROUTINE xios(is_defined_calendar_wrapper_attr_hdl_)   &
-    ( calendar_wrapper_hdl, day_length_, leap_year_drift_, leap_year_drift_offset_, leap_year_month_  &
+    ( calendar_wrapper_hdl, comment_, day_length_, leap_year_drift_, leap_year_drift_offset_, leap_year_month_  &
     , month_lengths_, start_date_, time_origin_, timestep_, type_, year_length_ )
 
     IMPLICIT NONE
       TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
+      LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: day_length_
       LOGICAL(KIND=C_BOOL) :: day_length__tmp
@@ -343,4 +365,10 @@
       LOGICAL(KIND=C_BOOL) :: year_length__tmp
 
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_calendar_wrapper_comment &
+      (calendar_wrapper_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
       IF (PRESENT(day_length_)) THEN
         day_length__tmp = cxios_is_defined_calendar_wrapper_day_length &
